From 6e43c8667a612e57aa8860574b8be46b8845c0be Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 23 2017 10:12:42 +0000
Subject: [PATCH 998/1001] Be explicit with is_large


Don't assume all React widgets want a large config panel.

---

diff --git a/hubs/static/client/app/components/WidgetConfigDialog.js b/hubs/static/client/app/components/WidgetConfigDialog.js
index 2d0e158..b0b648c 100644
--- a/hubs/static/client/app/components/WidgetConfigDialog.js
+++ b/hubs/static/client/app/components/WidgetConfigDialog.js
@@ -121,7 +121,7 @@ class WidgetConfigDialog extends React.Component {
     return (
       <Modal
         onCloseClicked={this.handleClose}
-        isLarge={this.props.widget.isReact || this.props.widget.isLarge}
+        isLarge={this.props.widget.isLarge}
         title={`Configuring widget ${this.props.widget.label}`}
         footer={footer}
         >
diff --git a/hubs/tests/widgets/test_halp.py b/hubs/tests/widgets/test_halp.py
index accc87e..158f525 100644
--- a/hubs/tests/widgets/test_halp.py
+++ b/hubs/tests/widgets/test_halp.py
@@ -121,7 +121,7 @@ class HalpViewsTestCase(WidgetTest):
             'idx': self.widget.idx,
             'index': 9,
             'isReact': True,
-            'isLarge': False,
+            'isLarge': True,
             'label': 'Help Requests',
             'name': 'halp',
             'params': [
diff --git a/hubs/widgets/halp/__init__.py b/hubs/widgets/halp/__init__.py
index 8fc82d4..0164582 100644
--- a/hubs/widgets/halp/__init__.py
+++ b/hubs/widgets/halp/__init__.py
@@ -38,6 +38,7 @@ class Halp(Widget):
     views_module = ".views"
     cached_functions_module = ".functions"
     is_react = True
+    is_large = True
 
     def get_template_environment(self):
         env = super(Halp, self).get_template_environment()

